| CE Gobi SDK 2.7 GobiApi

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Members

Public Attributes | List of all members
SWI_STRUCT_ServingSystem Struct Reference
Gobi Connection Mangement

## Public Attributes
ULONG | nVersion
ULONG | nRegistrationState
ULONG | nCsAttachState
ULONG | nPsAttachState
ULONG | nSelectedNetwork
ULONG | nNumOfRadioIf
ULONG | nRadioIf [255]
ULONG | nRoamingIndicator
BYTE | nDataCapabilityListLen
ULONG | nDataCapabilities [255]
WORD | nMobileCountryCode
WORD | nMobileNetworkCode
ULONG | nNetworkDescriptionLength
CHAR | NetworkDescription [255]

## Member Data Documentation

ULONG SWI_STRUCT_ServingSystem::nCsAttachState

Circuit switch domain attach state of the mobile. Values:

- 0: Unknown or not applicable.
- 1: Attached.
- 2: Detached.

ULONG SWI_STRUCT_ServingSystem::nDataCapabilities[255]

List of data capabilities of the current serving system. Possible Values:

- 0x01 – GPRS
- 0x02 – EDGE
- 0x03 – HSDPA
- 0x04 – HSUPA
- 0x05 – WCDMA
- 0x06 – CDMA
- 0x07 – CDMA EV-DO REV 0
- 0x08 – CDMA EV-DO REV A
- 0x09 – GSM
- 0x0A – CDMA EV-DO REV B
- 0x0B – LTE
- 0x0C – HSDPA+
- 0x0D – DC-HSDPA+

BYTE SWI_STRUCT_ServingSystem::nDataCapabilityListLen

Number of data capabilities

CHAR SWI_STRUCT_ServingSystem::NetworkDescription[255]

An optional string containing the network name ordescription

WORD SWI_STRUCT_ServingSystem::nMobileCountryCode

An 16-bit integer representation of Mobile Ccountryt Code. Values:

- 0 to 999. .

WORD SWI_STRUCT_ServingSystem::nMobileNetworkCode

An 16-bit integer representation of Mobile Network Code. Values:

- 0 to 999. .

ULONG SWI_STRUCT_ServingSystem::nNetworkDescriptionLength

Number of sets of the following elements:

- network_description

ULONG SWI_STRUCT_ServingSystem::nNumOfRadioIf

Number of radio interfaces included

ULONG SWI_STRUCT_ServingSystem::nPsAttachState

Packet switch domain attach state of the mobile. Values:

- 0: Unknown or not applicable.
- 1: Attached.
- 2: Detached.

ULONG SWI_STRUCT_ServingSystem::nRadioIf[255]

Radio interface currently in use. Values:

- 0x00: None (no service)
- 0x01: cdma2000 1X
- 0x02: cdma2000 HRPD (1xEV-DO)
- 0x03: AMPS
- 0x04: GSM
- 0x05: UMTS
- 0x08: LTE

ULONG SWI_STRUCT_ServingSystem::nRegistrationState

The following fields are valid in version 1

Registration state of the mobile. Values:

- 0: Not registered; mobile is not currently searching for a new network to provide service.
- 1: Registered with a network.
- 2: Not registered, but mobile is currently searching for a new network to provide service.
- 3: Registration denied by the visible network.
- 4: Registration state is unknown.

ULONG SWI_STRUCT_ServingSystem::nRoamingIndicator

The following fields are valid in version 2

Roaming indicator. Values:

- 0x00 – ROAMING_IND_ON – Roaming
- 0x01 – ROAMING_IND_OFF – Home
- 0x02 – ROAMING_IND_FLASHING – Flashing
- 0x03 and above – Operator-defined values

ULONG SWI_STRUCT_ServingSystem::nSelectedNetwork

Type of selected radio access network. Values:

- 0: Unknown
- 1: 3GPP2 network
- 2: 3GPP network

ULONG SWI_STRUCT_ServingSystem::nVersion

Version of this structure

The documentation for this struct was generated from the following file:

- GobiConnectionMgmtAPI.h